> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /federalregister/documents/search

> Search Federal Register documents with full-text and structured filters

**Price:** 1 credit per 1000 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/federalregister/documents/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/federalregister/documents/search:
    post:
      tags:
        - /federalregister
      summary: /federalregister/documents/search
      description: |-
        Search Federal Register documents with full-text and structured filters

        **Price:** 1 credit per 1000 results
      operationId: __api_federalregister_documents_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FederalregisterDocumentsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FederalregisterDocument'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FederalregisterDocumentsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        term:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - items:
                $ref: '#/components/schemas/FederalregisterDocumentType'
              type: array
            - type: 'null'
        presidential_document_type:
          anyOf:
            - items:
                $ref: '#/components/schemas/FederalregisterPresidentialDocumentType'
              type: array
            - type: 'null'
        agencies:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        agency_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
        topics:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        sections:
          anyOf:
            - items:
                $ref: '#/components/schemas/FederalregisterSection'
              type: array
            - type: 'null'
        publication_date_is:
          anyOf:
            - type: string
            - type: 'null'
        publication_date_gte:
          anyOf:
            - type: string
            - type: 'null'
        publication_date_lte:
          anyOf:
            - type: string
            - type: 'null'
        publication_date_year:
          anyOf:
            - type: integer
            - type: 'null'
        effective_date_is:
          anyOf:
            - type: string
            - type: 'null'
        effective_date_gte:
          anyOf:
            - type: string
            - type: 'null'
        effective_date_lte:
          anyOf:
            - type: string
            - type: 'null'
        cfr_title:
          anyOf:
            - type: integer
            - type: 'null'
        cfr_part:
          anyOf:
            - type: string
            - type: 'null'
        docket_id:
          anyOf:
            - type: string
            - type: 'null'
        regulation_id_number:
          anyOf:
            - type: string
            - type: 'null'
        president:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        significant:
          anyOf:
            - type: boolean
            - type: 'null'
        order:
          $ref: '#/components/schemas/FederalregisterSearchOrder'
          default: relevance
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    FederalregisterDocument:
      properties:
        '@type':
          type: string
          default: FederalregisterDocument
        document_number:
          type: string
        type:
          anyOf:
            - type: string
            - type: 'null'
        subtype:
          anyOf:
            - type: string
            - type: 'null'
        toc_doc:
          anyOf:
            - type: string
            - type: 'null'
        toc_subject:
          anyOf:
            - type: string
            - type: 'null'
        abstract:
          anyOf:
            - type: string
            - type: 'null'
        action:
          anyOf:
            - type: string
            - type: 'null'
        dates:
          anyOf:
            - type: string
            - type: 'null'
        excerpts:
          anyOf:
            - type: string
            - type: 'null'
        publication_date:
          anyOf:
            - type: string
            - type: 'null'
        effective_on:
          anyOf:
            - type: string
            - type: 'null'
        comments_close_on:
          anyOf:
            - type: string
            - type: 'null'
        signing_date:
          anyOf:
            - type: string
            - type: 'null'
        citation:
          anyOf:
            - type: string
            - type: 'null'
        volume:
          anyOf:
            - type: integer
            - type: 'null'
        start_page:
          anyOf:
            - type: integer
            - type: 'null'
        end_page:
          anyOf:
            - type: integer
            - type: 'null'
        page_length:
          anyOf:
            - type: integer
            - type: 'null'
        significant:
          anyOf:
            - type: boolean
            - type: 'null'
        executive_order_number:
          anyOf:
            - type: string
            - type: 'null'
        proclamation_number:
          anyOf:
            - type: string
            - type: 'null'
        presidential_document_number:
          anyOf:
            - type: string
            - type: 'null'
        docket_ids:
          items:
            type: string
          type: array
          default: []
        regulation_id_numbers:
          items:
            type: string
          type: array
          default: []
        regulation_id_number_info:
          items:
            $ref: '#/components/schemas/FederalregisterRegulationIdNumber'
          type: array
          default: []
        topics:
          items:
            type: string
          type: array
          default: []
        agencies:
          items:
            $ref: '#/components/schemas/FederalregisterAgencyRef'
          type: array
          default: []
        cfr_references:
          items:
            $ref: '#/components/schemas/FederalregisterCfrReference'
          type: array
          default: []
        dockets:
          items:
            $ref: '#/components/schemas/FederalregisterDocket'
          type: array
          default: []
        page_view_count:
          anyOf:
            - type: integer
            - type: 'null'
        comment_url:
          anyOf:
            - type: string
            - type: 'null'
        html_url:
          anyOf:
            - type: string
            - type: 'null'
        pdf_url:
          anyOf:
            - type: string
            - type: 'null'
        public_inspection_pdf_url:
          anyOf:
            - type: string
            - type: 'null'
        full_text_xml_url:
          anyOf:
            - type: string
            - type: 'null'
        body_html_url:
          anyOf:
            - type: string
            - type: 'null'
        raw_text_url:
          anyOf:
            - type: string
            - type: 'null'
        mods_url:
          anyOf:
            - type: string
            - type: 'null'
        json_url:
          anyOf:
            - type: string
            - type: 'null'
        regulations_dot_gov_url:
          anyOf:
            - type: string
            - type: 'null'
        regulations_dot_gov_info:
          anyOf:
            - $ref: '#/components/schemas/FederalregisterRegulationsDotGovInfo'
            - type: 'null'
      type: object
      required:
        - document_number
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    FederalregisterDocumentType:
      type: string
      enum:
        - RULE
        - PRORULE
        - NOTICE
        - PRESDOCU
    FederalregisterPresidentialDocumentType:
      type: string
      enum:
        - executive_order
        - proclamation
        - presidential_memorandum
        - determination
        - notice
        - other
    FederalregisterSection:
      type: string
      enum:
        - money
        - environment
        - world
        - science-and-technology
        - business-and-industry
        - health-and-public-welfare
    FederalregisterSearchOrder:
      type: string
      enum:
        - relevance
        - newest
        - oldest
        - executive_order_number
    FederalregisterRegulationIdNumber:
      properties:
        '@type':
          type: string
          default: FederalregisterRegulationIdNumber
        regulation_id_number:
          anyOf:
            - type: string
            - type: 'null'
        issue:
          anyOf:
            - type: string
            - type: 'null'
        priority_category:
          anyOf:
            - type: string
            - type: 'null'
        html_url:
          anyOf:
            - type: string
            - type: 'null'
        xml_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    FederalregisterAgencyRef:
      properties:
        '@type':
          type: string
          default: FederalregisterAgencyRef
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        raw_name:
          anyOf:
            - type: string
            - type: 'null'
        slug:
          anyOf:
            - type: string
            - type: 'null'
        parent_id:
          anyOf:
            - type: integer
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        json_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    FederalregisterCfrReference:
      properties:
        '@type':
          type: string
          default: FederalregisterCfrReference
        chapter:
          anyOf:
            - type: string
            - type: 'null'
        part:
          anyOf:
            - type: string
            - type: 'null'
        citation_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    FederalregisterDocket:
      properties:
        '@type':
          type: string
          default: FederalregisterDocket
        id:
          anyOf:
            - type: string
            - type: 'null'
        agency_name:
          anyOf:
            - type: string
            - type: 'null'
        supporting_documents_count:
          anyOf:
            - type: integer
            - type: 'null'
        supporting_documents:
          items:
            $ref: '#/components/schemas/FederalregisterSupportingDocument'
          type: array
          default: []
        documents:
          items:
            $ref: '#/components/schemas/FederalregisterDocketDocument'
          type: array
          default: []
      type: object
    FederalregisterRegulationsDotGovInfo:
      properties:
        '@type':
          type: string
          default: FederalregisterRegulationsDotGovInfo
        docket_id:
          anyOf:
            - type: string
            - type: 'null'
        document_id:
          anyOf:
            - type: string
            - type: 'null'
        agency_id:
          anyOf:
            - type: string
            - type: 'null'
        regulation_id_number:
          anyOf:
            - type: string
            - type: 'null'
        comments_count:
          anyOf:
            - type: integer
            - type: 'null'
        comments_url:
          anyOf:
            - type: string
            - type: 'null'
        supporting_documents_count:
          anyOf:
            - type: integer
            - type: 'null'
        supporting_documents:
          items:
            $ref: '#/components/schemas/FederalregisterSupportingDocument'
          type: array
          default: []
        checked_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    FederalregisterSupportingDocument:
      properties:
        '@type':
          type: string
          default: FederalregisterSupportingDocument
        document_id:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    FederalregisterDocketDocument:
      properties:
        '@type':
          type: string
          default: FederalregisterDocketDocument
        id:
          anyOf:
            - type: string
            - type: 'null'
        comment_count:
          anyOf:
            - type: integer
            - type: 'null'
        comment_url:
          anyOf:
            - type: string
            - type: 'null'
        comment_start_date:
          anyOf:
            - type: string
            - type: 'null'
        comment_end_date:
          anyOf:
            - type: string
            - type: 'null'
        allow_late_comments:
          anyOf:
            - type: boolean
            - type: 'null'
        regulations_dot_gov_open_for_comment:
          anyOf:
            - type: boolean
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````